Name:           ocaml-uucd
Version:        1.0.0
Release:        %mkrel 5
Summary:        Unicode character database decoder for OCaml
License:        BSD3
Group:          Development/OCaml
URL:            http://erratique.ch/software/uucd
Source0:        http://erratique.ch/software/uucd/releases/uucd-%{version}.tbz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-xmlm-devel
Requires:       ocaml-xmlm

%description
Uucd is an OCaml module to decode the data of the Unicode
character database [1] from its XML representation [2]. It provides
high-level (but not necessarily efficient) access to the data so that 
efficient representations can be extracted.

Uucd is made of a single module, depends on Xmlm and is 
distributed under the BSD3 license.

[1]: http://www.unicode.org/reports/tr44/
[2]: http://www.unicode.org/reports/tr42/

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-xmlm-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n uucd-%{version}

%build
pushd src/
 ocamlc -c -annot -bin-annot uucd.mli
 ocamlc -c -annot -bin-annot -I +xmlm uucd.ml
 ocamlc -g -a -o uucd.cma uucd.cmo
 ocamlopt -c -annot -bin-annot -I +xmlm uucd.ml
 ocamlopt -g -a -o uucd.cmxa uucd.cmx
 ocamlopt -g -shared -linkall -o uucd.cmxs uucd.cmxa
popd

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/uucd
pushd src/
 ocamlfind install uucd ../pkg/META \
   *.a *.cm[iatx] *.cmti *.cmx[as] *.annot *.mli
popd

%files
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/uucd
%{_libdir}/ocaml/uucd/META
%{_libdir}/ocaml/uucd/*.cmi
%{_libdir}/ocaml/uucd/*.cma
%{_libdir}/ocaml/uucd/*.cmxs

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/uucd/*.a
%{_libdir}/ocaml/uucd/*.cmxa
%{_libdir}/ocaml/uucd/*.cmx
%{_libdir}/ocaml/uucd/*.mli
%{_libdir}/ocaml/uucd/*.cmt
%{_libdir}/ocaml/uucd/*.cmti
%{_libdir}/ocaml/uucd/*.annot


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 956487
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 750666
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 683123
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 538631
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 blue_prawn <blue_prawn> 1.0.0-1.mga4
+ Revision: 490082
- updated to last version 1.0.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.2-2.mga3
+ Revision: 361676
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.9.2-1.mga3
+ Revision: 341170
- new version 0.9.2

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.0-3.mga3
+ Revision: 301685
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.0-2.mga3
+ Revision: 299115
- new rpm group for ocaml

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.0-1.mga3
+ Revision: 291393
- build requires xmlm
- imported package ocaml-uucd

